Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.common
Class XMLValidator.ValueStoreBase

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLValidator.ValueStoreBase

Direct Known Subclasses:
  XMLValidator.KeyRefValueStore, XMLValidator.KeyValueStore, XMLValidator.UniqueValueStore

protected abstract class XMLValidator.ValueStoreBase
extends java.lang.Object
implements ValueStore

Value store implementation base class. There are specific subclasses for handling unique, key, and keyref.

Author:
  Andy Clark, IBM

Field Summary
`protected IdentityConstraint` | `fIdentityConstraint` Identity constraint.
`protected weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable` | `fValues` Current data values.
`protected int` | `fValuesCount` Current data value count.
`protected java.util.Vector` | `fValueTuples` Data value tuples.
`protected IDValue` | `NOT_AN_IDVALUE` Not a value (Unicode: #FFFF).

Constructor Summary
`protected` | `XMLValidator.ValueStoreBase(IdentityConstraint identityConstraint)` Constructs a value store for the specified identity constraint.

Method Summary
`void` | `addValue(Field field, IDValue value)` Adds the specified value to the value store.
`void` | `append(XMLValidator.ValueStoreBase newVal)`
`boolean` | `contains(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)` Returns true if this value store contains the specified values tuple.
`void` | `destroy()`
`protected void` | `duplicateValue(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)` Called when a duplicate value is added.
`void` | `endDocument()` Signals the end of the document.
`void` | `endDocumentFragment()`
`void` | `endValueScope()` Ends scope for value store.
`void` | `reportNilError(IdentityConstraint id)`
`void` | `startValueScope()` Start scope for value store.
`java.lang.String` | `toString()` Returns a string representation of this object.
`protected java.lang.String` | `toString(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)` Returns a string of the specified values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOT_AN_IDVALUE

    protected IDValue NOT_AN_IDVALUE

  Not a value (Unicode: #FFFF).

### fIdentityConstraint

    protected IdentityConstraint fIdentityConstraint

  Identity constraint.

### fValues

    protected final weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable fValues

  Current data values.

### fValuesCount

    protected int fValuesCount

  Current data value count.

### fValueTuples

    protected final java.util.Vector fValueTuples

  Data value tuples.

Constructor Detail

### XMLValidator.ValueStoreBase

    protected XMLValidator.ValueStoreBase(IdentityConstraint identityConstraint)

  Constructs a value store for the specified identity constraint.

Method Detail

### destroy

    public void destroy()

### append

    public void append(XMLValidator.ValueStoreBase newVal)

### startValueScope

    public void startValueScope()
                         throws java.lang.Exception

  Start scope for value store.

### endValueScope

    public void endValueScope()
                       throws java.lang.Exception

  Ends scope for value store.

### endDocumentFragment

    public void endDocumentFragment()
                             throws java.lang.Exception

### endDocument

    public void endDocument()
                     throws java.lang.Exception

  Signals the end of the document. This is where the specific instances of value stores can verify the integrity of the identity constraints.

### reportNilError

    public void reportNilError(IdentityConstraint id)
                        throws java.lang.Exception

  Specified by:
    reportNilError in interface ValueStore

### addValue

    public void addValue(Field field,
                         IDValue value)
                  throws java.lang.Exception

  Adds the specified value to the value store.
  Specified by:
    addValue in interface ValueStore

  Parameters:
    `value` - The value to add.
    `field` - The field associated to the value. This reference is used to ensure that each field only adds a value once within a selection scope.

### contains

    public boolean contains(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)

  Returns true if this value store contains the specified values tuple.

### duplicateValue

    protected void duplicateValue(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)
                           throws java.lang.Exception

  Called when a duplicate value is added. Subclasses should override this method to perform error checking.

  Parameters:
    `tuple` - The duplicate value tuple.

### toString

    protected java.lang.String toString(weblogic.apache.xerces.validators.common.XMLValidator.OrderedHashtable tuple)

  Returns a string of the specified values.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference